La importación android.support.v7.app no ​​se puede resolver

Después de actualizar a Eclipse Kepler, no he podido agregar la biblioteca de soporte appcompat. He seguido estas instrucciones y sigo recibiendo el error La importación de android.support.v7.app no ​​se puede resolver en las siguientes líneas:

import android.support.v7.app.ActionBar; import android.support.v7.app.ActionBarActivity; 

Agregué el proyecto appcompat, agregué ambos archivos jar a Build Path, los seleccioné en la pestaña Order and Export y agregué el proyecto de la biblioteca en el proyecto principal.

enter image description here

enter image description here

Copié la biblioteca v4 a la carpeta libs en el proyecto principal, pero no sé qué más hacer o verificar. ¿Alguien tiene alguna sugerencia?

¡Gracias!

Después de agregar appcompat_v7 a sus dependencias, asegúrese de que la carpeta libs de su proyecto esté vacía. De forma predeterminada, se crea un android-support-v4.jar cuando define su proyecto, por lo que se generarán conflictos cuando declare la biblioteca appcompat_v7 como su dependencia.

Entonces, lo primero que debe hacer es verificar la carpeta .../My_Project/libs y eliminar sin temor el archivo android-support-v4.jar .

A continuación, agregue la biblioteca appcompat_v7 como una dependencia de su proyecto: Para hacerlo, si está utilizando Eclipse:

  1. Haga clic derecho en su carpeta de proyectos, ubicada en el navegador.
  2. Haga clic en propiedades, en la final de la lista.
  3. En la ventana Propiedades, selecciona la opción Android (menú de la izquierda).
  4. En el cuadro Biblioteca, agregue su nueva referencia.

Si está utilizando Android Studio, puede seguir los pasos mencionados en el comentario de @Joey Garcia.

Configuración de biblioteca de soporte – https://developer.android.com/tools/support-library/setup.html

Avísame si te ayudó. ¡Buena suerte!

Peter, tuve el mismo problema y así es como lo arreglé en Android Studio.

1) Haga clic derecho sobre el proyecto desde el panel de la ventana del proyecto y seleccione Abrir configuración del módulo

2) En el lado izquierdo, seleccione la aplicación, luego seleccione la pestaña Dependencias en la parte superior derecha

3) Haga clic en el botón + en la esquina inferior izquierda, seleccione Dependencia de biblioteca

4) Escriba o seleccione appcompat-v7 (com.android.support:appcompat-v7:20.0.0)

5) Haga clic en Aceptar en la ventana Elegir biblioteca de dependencia

6) A continuación, haga clic en Aceptar o en Aplicar en la ventana Estructura del proyecto.

Ahora, AS debería ser capaz de extraer la clase que falta.

Soy nuevo en Eclipse pero tuve el mismo error y de alguna manera lo solucioné. Tuve 2 proyectos, uno de ellos se arregló después de reiniciar o algo así, el primero lo arreglé añadiendo las importaciones que de alguna manera borré o eclipse. las importaciones de minas son:

 import android.content.res.Resources; import android.graphics.Typeface; import android.os.Bundle; import android.support.v7.app.ActionBarActivity; import android.view.Menu; import android.view.MenuItem; import android.widget.ImageView; import android.widget.TextView; 

Agregue cualquiera que aún necesite. Espero que ayude

Simplemente elimine android-support-v4.jar de la carpeta libs de su proyecto. El rest de las cosas / errores desaparecerán. Eclipse se encargará del rest de las cosas.

Elimine android-support-v4.jar en la carpeta lib.